package cn.ibizlab.businesscentral.core.odoo_stock.filter;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;

import lombok.*;
import lombok.extern.slf4j.Slf4j;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;

import org.springframework.util.ObjectUtils;
import org.springframework.util.StringUtils;


import cn.ibizlab.businesscentral.util.filter.QueryWrapperContext;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.ibizlab.businesscentral.core.odoo_stock.domain.Stock_picking_type;
/**
 * 关系型数据实体[Stock_picking_type] 查询条件对象
 */
@Slf4j
@Data
public class Stock_picking_typeSearchContext extends QueryWrapperContext<Stock_picking_type> {

	private String n_code_eq;//[作业的类型]
	public void setN_code_eq(String n_code_eq) {
        this.n_code_eq = n_code_eq;
        if(!ObjectUtils.isEmpty(this.n_code_eq)){
            this.getSearchCond().eq("code", n_code_eq);
        }
    }
	private String n_name_like;//[作业类型]
	public void setN_name_like(String n_name_like) {
        this.n_name_like = n_name_like;
        if(!ObjectUtils.isEmpty(this.n_name_like)){
            this.getSearchCond().like("name", n_name_like);
        }
    }
	private String n_create_uid_text_eq;//[创建人]
	public void setN_create_uid_text_eq(String n_create_uid_text_eq) {
        this.n_create_uid_text_eq = n_create_uid_text_eq;
        if(!ObjectUtils.isEmpty(this.n_create_uid_text_eq)){
            this.getSearchCond().eq("create_uid_text", n_create_uid_text_eq);
        }
    }
	private String n_create_uid_text_like;//[创建人]
	public void setN_create_uid_text_like(String n_create_uid_text_like) {
        this.n_create_uid_text_like = n_create_uid_text_like;
        if(!ObjectUtils.isEmpty(this.n_create_uid_text_like)){
            this.getSearchCond().like("create_uid_text", n_create_uid_text_like);
        }
    }
	private String n_default_location_src_id_text_eq;//[默认源位置]
	public void setN_default_location_src_id_text_eq(String n_default_location_src_id_text_eq) {
        this.n_default_location_src_id_text_eq = n_default_location_src_id_text_eq;
        if(!ObjectUtils.isEmpty(this.n_default_location_src_id_text_eq)){
            this.getSearchCond().eq("default_location_src_id_text", n_default_location_src_id_text_eq);
        }
    }
	private String n_default_location_src_id_text_like;//[默认源位置]
	public void setN_default_location_src_id_text_like(String n_default_location_src_id_text_like) {
        this.n_default_location_src_id_text_like = n_default_location_src_id_text_like;
        if(!ObjectUtils.isEmpty(this.n_default_location_src_id_text_like)){
            this.getSearchCond().like("default_location_src_id_text", n_default_location_src_id_text_like);
        }
    }
	private String n_return_picking_type_id_text_eq;//[退回的作业类型]
	public void setN_return_picking_type_id_text_eq(String n_return_picking_type_id_text_eq) {
        this.n_return_picking_type_id_text_eq = n_return_picking_type_id_text_eq;
        if(!ObjectUtils.isEmpty(this.n_return_picking_type_id_text_eq)){
            this.getSearchCond().eq("return_picking_type_id_text", n_return_picking_type_id_text_eq);
        }
    }
	private String n_return_picking_type_id_text_like;//[退回的作业类型]
	public void setN_return_picking_type_id_text_like(String n_return_picking_type_id_text_like) {
        this.n_return_picking_type_id_text_like = n_return_picking_type_id_text_like;
        if(!ObjectUtils.isEmpty(this.n_return_picking_type_id_text_like)){
            this.getSearchCond().like("return_picking_type_id_text", n_return_picking_type_id_text_like);
        }
    }
	private String n_warehouse_id_text_eq;//[仓库]
	public void setN_warehouse_id_text_eq(String n_warehouse_id_text_eq) {
        this.n_warehouse_id_text_eq = n_warehouse_id_text_eq;
        if(!ObjectUtils.isEmpty(this.n_warehouse_id_text_eq)){
            this.getSearchCond().eq("warehouse_id_text", n_warehouse_id_text_eq);
        }
    }
	private String n_warehouse_id_text_like;//[仓库]
	public void setN_warehouse_id_text_like(String n_warehouse_id_text_like) {
        this.n_warehouse_id_text_like = n_warehouse_id_text_like;
        if(!ObjectUtils.isEmpty(this.n_warehouse_id_text_like)){
            this.getSearchCond().like("warehouse_id_text", n_warehouse_id_text_like);
        }
    }
	private String n_default_location_dest_id_text_eq;//[默认目的位置]
	public void setN_default_location_dest_id_text_eq(String n_default_location_dest_id_text_eq) {
        this.n_default_location_dest_id_text_eq = n_default_location_dest_id_text_eq;
        if(!ObjectUtils.isEmpty(this.n_default_location_dest_id_text_eq)){
            this.getSearchCond().eq("default_location_dest_id_text", n_default_location_dest_id_text_eq);
        }
    }
	private String n_default_location_dest_id_text_like;//[默认目的位置]
	public void setN_default_location_dest_id_text_like(String n_default_location_dest_id_text_like) {
        this.n_default_location_dest_id_text_like = n_default_location_dest_id_text_like;
        if(!ObjectUtils.isEmpty(this.n_default_location_dest_id_text_like)){
            this.getSearchCond().like("default_location_dest_id_text", n_default_location_dest_id_text_like);
        }
    }
	private String n_write_uid_text_eq;//[最后更新者]
	public void setN_write_uid_text_eq(String n_write_uid_text_eq) {
        this.n_write_uid_text_eq = n_write_uid_text_eq;
        if(!ObjectUtils.isEmpty(this.n_write_uid_text_eq)){
            this.getSearchCond().eq("write_uid_text", n_write_uid_text_eq);
        }
    }
	private String n_write_uid_text_like;//[最后更新者]
	public void setN_write_uid_text_like(String n_write_uid_text_like) {
        this.n_write_uid_text_like = n_write_uid_text_like;
        if(!ObjectUtils.isEmpty(this.n_write_uid_text_like)){
            this.getSearchCond().like("write_uid_text", n_write_uid_text_like);
        }
    }
	private Long n_write_uid_eq;//[最后更新者]
	public void setN_write_uid_eq(Long n_write_uid_eq) {
        this.n_write_uid_eq = n_write_uid_eq;
        if(!ObjectUtils.isEmpty(this.n_write_uid_eq)){
            this.getSearchCond().eq("write_uid", n_write_uid_eq);
        }
    }
	private Long n_default_location_dest_id_eq;//[默认目的位置]
	public void setN_default_location_dest_id_eq(Long n_default_location_dest_id_eq) {
        this.n_default_location_dest_id_eq = n_default_location_dest_id_eq;
        if(!ObjectUtils.isEmpty(this.n_default_location_dest_id_eq)){
            this.getSearchCond().eq("default_location_dest_id", n_default_location_dest_id_eq);
        }
    }
	private Long n_create_uid_eq;//[创建人]
	public void setN_create_uid_eq(Long n_create_uid_eq) {
        this.n_create_uid_eq = n_create_uid_eq;
        if(!ObjectUtils.isEmpty(this.n_create_uid_eq)){
            this.getSearchCond().eq("create_uid", n_create_uid_eq);
        }
    }
	private Long n_warehouse_id_eq;//[仓库]
	public void setN_warehouse_id_eq(Long n_warehouse_id_eq) {
        this.n_warehouse_id_eq = n_warehouse_id_eq;
        if(!ObjectUtils.isEmpty(this.n_warehouse_id_eq)){
            this.getSearchCond().eq("warehouse_id", n_warehouse_id_eq);
        }
    }
	private Long n_default_location_src_id_eq;//[默认源位置]
	public void setN_default_location_src_id_eq(Long n_default_location_src_id_eq) {
        this.n_default_location_src_id_eq = n_default_location_src_id_eq;
        if(!ObjectUtils.isEmpty(this.n_default_location_src_id_eq)){
            this.getSearchCond().eq("default_location_src_id", n_default_location_src_id_eq);
        }
    }
	private Long n_return_picking_type_id_eq;//[退回的作业类型]
	public void setN_return_picking_type_id_eq(Long n_return_picking_type_id_eq) {
        this.n_return_picking_type_id_eq = n_return_picking_type_id_eq;
        if(!ObjectUtils.isEmpty(this.n_return_picking_type_id_eq)){
            this.getSearchCond().eq("return_picking_type_id", n_return_picking_type_id_eq);
        }
    }

    /**
	 * 启用快速搜索
	 */
	public void setQuery(String query)
	{
		 this.query=query;
		 if(!StringUtils.isEmpty(query)){
            this.getSearchCond().and( wrapper ->
                     wrapper.like("name", query)   
            );
		 }
	}
}



